Extending Qt Creator Manual | AbiWidget

Extending Qt Creator Manual 4.5.2

# AbiWidget Class

(ProjectExplorer::AbiWidget)

The AbiWidget class is a widget to set an ABI. More...

Header: | #include <AbiWidget>

- List of all members, including inherited members

## Public Functions

| AbiWidget(QWidget *parent = nullptr)
| ~AbiWidget() override
Abi | currentAbi() const
bool | isCustomAbi() const
void | setAbis(const QList<Abi> &, const Abi &current)
QList<Abi> | supportedAbis() const

## Signals

void | abiChanged()

## Detailed Description

The AbiWidget class is a widget to set an ABI.

See also ProjectExplorer::Abi.

## Member Function Documentation

### AbiWidget::AbiWidget(QWidget *parent = nullptr)

Default constructs an instance of AbiWidget.

### AbiWidget::~AbiWidget()

Destroys the instance of AbiWidget.

### `[signal]` void AbiWidget::abiChanged()

### Abi AbiWidget::currentAbi() const

### bool AbiWidget::isCustomAbi() const

### void AbiWidget::setAbis(const QList<Abi> &, const Abi &current)

### QList<Abi> AbiWidget::supportedAbis() const